Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0009495
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajoralways2009-06-16 13:342009-06-27 00:00
ReporternetworkbView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Versionmain
StatusclosedFix in branchpiFixed in SCM revision57ea1a88ce44
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product Version2.40MP4SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0009495: The validation on the parameters of a process definition, does not work with refering to fields on the popup

DescriptionThe validation on the parameters of a process definition, does not work with referring to fields on the popup.
It seems that there is a problem storing the values of the fields of the
popup in session variable, so you can not use them.
Steps To Reproduce-Login a system administrator.
-Go to the process definition window.
-Find a process that is a database procedure
-Go to the paramters.
-If there are more than one parameters, create a validation for one field that use the other field, using the standar way to do this @variable@.
-Compile the window
-Restart tomcat
-login as a normal user
-go to the process modified and look that the validation does not work.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0009335 closedshuehner When a combo with a validation is included in the Search pop-up, the validation does not work 
depends on backport 0009499 closedalostale The validation on the parameters of a process definition, does not work with refering to fields on the popup 
has duplicate defect 0010559 closedrafaroda Validation in Process 
related to defect 0009574 closedalostale Not able to complete the Sales order after entering the required details. 
related to defect 0013068 closedalostale ComboReloadsProcessHelper.printPage can reach the 64k method size limitation 

-  Notes
(0017453)
alostale (developer)
2009-06-19 09:51

Note to QA:

Please take special care when reviewing this fix. It affects highly how action buttons are implemented because to support combo reloads they are now in a frame set, this changes also the request the final servlet receives.
(0017454)
hgbot (developer)
2009-06-19 09:53

Repository: erp/devel/pi
Changeset: 1497f4e7671a165abd53aabe938289dd1ae431a4
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 18 11:18:06 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1497f4e7671a165abd53aabe938289dd1ae431a4 [^]

issue 9495: Add combo reloads to menu PL action buttons

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-wad/src/org/openbravo/wad/ActionButton_Responser.javaxml
M src-wad/src/org/openbravo/wad/ComboReloads.xml
M src-wad/src/org/openbravo/wad/Fields_data.xsql
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/WadActionButton.java
M src/org/openbravo/erpCommon/ad_actionButton/ActionButtonDefault.html
A src-wad/src/org/openbravo/wad/ComboReloadsProcess.javaxml
A src-wad/src/org/openbravo/wad/ComboReloadsProcess.xml
A src-wad/src/org/openbravo/wad/ComboReloadsProcessHelper.javaxml
A src-wad/src/org/openbravo/wad/ComboReloadsProcessHelper.xml
A src/org/openbravo/erpCommon/ad_actionButton/ActionButtonDefaultFrames.html
A src/org/openbravo/erpCommon/ad_actionButton/ActionButtonDefaultFrames.xml
---
(0017455)
hgbot (developer)
2009-06-19 09:53

Repository: erp/devel/pi
Changeset: 959292373f4f3d5390002d06b66566bdd327affb
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 18 12:33:53 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/959292373f4f3d5390002d06b66566bdd327affb [^]

issue 9495: Add combo reloads to column PL and Java action buttons

---
M src-wad/src/org/openbravo/wad/ComboReloads.xml
M src-wad/src/org/openbravo/wad/javasource.javaxml
---
(0017456)
hgbot (developer)
2009-06-19 09:53

Repository: erp/devel/pi
Changeset: d2d17cf554e9a60e629377f0057a86c76872fd65
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 18 13:02:11 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d2d17cf554e9a60e629377f0057a86c76872fd65 [^]

issue 9495: Add combo reloads to menu Java action buttons

---
M src-wad/src/org/openbravo/wad/ActionButtonJava_Responser.javaxml
---
(0017457)
hgbot (developer)
2009-06-19 09:53

Repository: erp/devel/pi
Changeset: 5c2e482c554e6cd851b25dd8ec3a2d508de1a9f5
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 18 13:10:09 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5c2e482c554e6cd851b25dd8ec3a2d508de1a9f5 [^]

issue 9495: fixed cancel button

---
M src-wad/src/org/openbravo/wad/Template_ActionButton.html
---
(0017458)
hgbot (developer)
2009-06-19 09:53

Repository: erp/devel/pi
Changeset: e513eade11c2c3d264a7bd1ca5afad74f2e7cd4e
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 19 09:41:25 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e513eade11c2c3d264a7bd1ca5afad74f2e7cd4e [^]

issue 0009495: retrieve parameters from main window used in validation rule for the action button

---
M src-wad/src/org/openbravo/wad/ActionButton_Relation_data.xsql
M src-wad/src/org/openbravo/wad/WadActionButton.java
M src-wad/src/org/openbravo/wad/javasource.javaxml
M src-wad/src/org/openbravo/wad/javasource.xml
M src/org/openbravo/erpCommon/utility/FieldProviderFactory.java
---
(0017459)
hgbot (developer)
2009-06-19 09:53

Repository: erp/devel/pi
Changeset: d7b7924ec0c61ed50da3c0522fcbff645167f981
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 19 09:42:30 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d7b7924ec0c61ed50da3c0522fcbff645167f981 [^]

fixed bug 9495: added combo reloads to action buttons to support validation rules in parameters

---
M src-core/src/org/openbravo/data/Parameter.java
M src-core/src/org/openbravo/data/Sql.java
M src-core/src/org/openbravo/data/Sqlc.java
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/dal/core/OBContext.java
M src/org/openbravo/erpCommon/ad_process/CopyFromGLJournal_data.xsql
M src/org/openbravo/erpCommon/ad_reports/MInOutTraceReports_data.xsql
M src/org/openbravo/erpCommon/info/Account.java
M src/org/openbravo/erpCommon/info/AccountElementValue.java
M src/org/openbravo/erpCommon/info/AccountElementValue_data.xsql
M src/org/openbravo/erpCommon/info/Account_data.xsql
M src/org/openbravo/erpCommon/info/BusinessPartner.java
M src/org/openbravo/erpCommon/info/BusinessPartnerMultiple_data.xsql
M src/org/openbravo/erpCommon/info/BusinessPartner_data.xsql
M src/org/openbravo/erpCommon/info/DebtPayment_data.xsql
M src/org/openbravo/erpCommon/info/ImageInfo_data.xsql
M src/org/openbravo/erpCommon/info/Invoice.java
M src/org/openbravo/erpCommon/info/InvoiceLine.java
M src/org/openbravo/erpCommon/info/InvoiceLine_data.xsql
M src/org/openbravo/erpCommon/info/Invoice_data.xsql
M src/org/openbravo/erpCommon/info/Locator_data.xsql
M src/org/openbravo/erpCommon/info/ProductComplete.java
M src/org/openbravo/erpCommon/info/ProductComplete_data.xsql
M src/org/openbravo/erpCommon/info/ProductMultiple_data.xsql
M src/org/openbravo/erpCommon/info/Product_data.xsql
M src/org/openbravo/erpCommon/info/Project_data.xsql
M src/org/openbravo/erpCommon/info/SalesOrder.java
M src/org/openbravo/erpCommon/info/SalesOrderLine.java
M src/org/openbravo/erpCommon/info/SalesOrderLine_data.xsql
M src/org/openbravo/erpCommon/info/SalesOrder_data.xsql
M src/org/openbravo/erpCommon/info/ShipmentReceiptLine_data.xsql
M src/org/openbravo/erpCommon/info/ShipmentReceipt_data.xsql
M src/org/openbravo/erpCommon/utility/ErrorTextParserORACLE.java
---
(0017468)
hgbot (developer)
2009-06-19 12:23

Repository: erp/devel/pi
Changeset: fdf9075c78e4871569c68cfd8202adbb4edf102a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 19 12:22:50 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fdf9075c78e4871569c68cfd8202adbb4edf102a [^]

issue 9495: fixed pg problem

---
M src-wad/src/org/openbravo/wad/Fields_data.xsql
---
(0017470)
hgbot (developer)
2009-06-19 12:30

Repository: erp/devel/pi
Changeset: 57ea1a88ce44ead25fb1af86b81fbe777b204348
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Jun 19 12:30:17 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/57ea1a88ce44ead25fb1af86b81fbe777b204348 [^]

issue 9495: Minor adjustments:
  -Changed ID for new objects to match the ones created in 2.40
  -Added code for parameter values in java action buttons called from tabs

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-wad/src/org/openbravo/wad/javasource.xml
---
(0017623)
psarobe (manager)
2009-06-26 17:54

In the process Copy accounts partner i have created another parameter (business partner) and this combo depended on the bpartner group. After this it works perfect filtering the business partner by group

- Issue History
Date Modified Username Field Change
2009-06-16 13:34 networkb New Issue
2009-06-16 13:34 networkb Assigned To => rafaroda
2009-06-16 16:17 rafaroda Assigned To rafaroda => alostale
2009-06-16 16:17 rafaroda Status new => scheduled
2009-06-16 16:17 rafaroda fix_in_branch => pi
2009-06-17 09:50 alostale Relationship added related to 0009450
2009-06-17 09:51 alostale Relationship deleted related to 0009450
2009-06-17 09:51 alostale Relationship added related to 0009335
2009-06-19 09:51 alostale Note Added: 0017453
2009-06-19 09:53 hgbot Checkin
2009-06-19 09:53 hgbot Note Added: 0017454
2009-06-19 09:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1497f4e7671a165abd53aabe938289dd1ae431a4 [^]
2009-06-19 09:53 hgbot Checkin
2009-06-19 09:53 hgbot Note Added: 0017455
2009-06-19 09:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/1497f4e7671a165abd53aabe938289dd1ae431a4 [^] => http://code.openbravo.com/erp/devel/pi/rev/959292373f4f3d5390002d06b66566bdd327affb [^]
2009-06-19 09:53 hgbot Checkin
2009-06-19 09:53 hgbot Note Added: 0017456
2009-06-19 09:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/959292373f4f3d5390002d06b66566bdd327affb [^] => http://code.openbravo.com/erp/devel/pi/rev/d2d17cf554e9a60e629377f0057a86c76872fd65 [^]
2009-06-19 09:53 hgbot Checkin
2009-06-19 09:53 hgbot Note Added: 0017457
2009-06-19 09:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/d2d17cf554e9a60e629377f0057a86c76872fd65 [^] => http://code.openbravo.com/erp/devel/pi/rev/5c2e482c554e6cd851b25dd8ec3a2d508de1a9f5 [^]
2009-06-19 09:53 hgbot Checkin
2009-06-19 09:53 hgbot Note Added: 0017458
2009-06-19 09:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/5c2e482c554e6cd851b25dd8ec3a2d508de1a9f5 [^] => http://code.openbravo.com/erp/devel/pi/rev/e513eade11c2c3d264a7bd1ca5afad74f2e7cd4e [^]
2009-06-19 09:53 hgbot Checkin
2009-06-19 09:53 hgbot Note Added: 0017459
2009-06-19 09:53 hgbot Status scheduled => resolved
2009-06-19 09:53 hgbot Resolution open => fixed
2009-06-19 09:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/e513eade11c2c3d264a7bd1ca5afad74f2e7cd4e [^] => http://code.openbravo.com/erp/devel/pi/rev/d7b7924ec0c61ed50da3c0522fcbff645167f981 [^]
2009-06-19 12:23 hgbot Checkin
2009-06-19 12:23 hgbot Note Added: 0017468
2009-06-19 12:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/d7b7924ec0c61ed50da3c0522fcbff645167f981 [^] => http://code.openbravo.com/erp/devel/pi/rev/fdf9075c78e4871569c68cfd8202adbb4edf102a [^]
2009-06-19 12:30 hgbot Checkin
2009-06-19 12:30 hgbot Note Added: 0017470
2009-06-19 12:30 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/fdf9075c78e4871569c68cfd8202adbb4edf102a [^] => http://code.openbravo.com/erp/devel/pi/rev/57ea1a88ce44ead25fb1af86b81fbe777b204348 [^]
2009-06-22 10:40 alostale Relationship added related to 0009574
2009-06-22 11:09 psarobe Fixed in Version => main
2009-06-26 17:54 psarobe Status resolved => closed
2009-06-26 17:54 psarobe Note Added: 0017623
2009-06-27 00:00 anonymous sf_bug_id 0 => 2813024
2009-09-18 14:05 rafaroda Relationship added has duplicate 0010559
2010-04-22 10:16 alostale Relationship added related to 0013068


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker